### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
AnalyticHaganPricer Class Reference

CMS-coupon pricer. More...

`#include <ql/cashflows/conundrumpricer.hpp>`

Inheritance diagram for AnalyticHaganPricer:
[legend]

List of all members.

## Public Member Functions

| AnalyticHaganPricer (const Handle< SwaptionVolatilityStructure > &swaptionVol, GFunctionFactory::YieldCurveModel modelOfYieldCurve, const Handle< Quote > &meanReversion)

## Protected Member Functions

Real | optionletPrice (Option::Type optionType, Real strike) const
Real | swapletPrice () const

## Detailed Description

CMS-coupon pricer.